package com.zbkj.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Auther linqinglin
 * @date 2022/4/10 14:55
 */

@Component
@ConfigurationProperties(prefix = "sms")
public class SmsConfig {


    /** 开关 true开 false关 */
    private static Boolean sendSwitch = false;

    /**
     * 短信模板编号
     */
    private static String code = "B01";

    /*接短信发送口地址*/
    private static String url;

    //短信环境标识
    private static String channel = "test";

    //平台标识
    private static String platform = "V5";

    public static Boolean isSendSwitch() {
        return sendSwitch;
    }

    public void setSendSwitch(Boolean sendSwitch) {
        SmsConfig.sendSwitch = sendSwitch;
    }

    public static String getCode() {
        return code;
    }

    public void setCode(String code) {
        SmsConfig.code = code;
    }

    public static String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        SmsConfig.url = url;
    }

    public static String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        SmsConfig.channel = channel;
    }

    public static String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        SmsConfig.platform = platform;
    }
}
